# Oracle EBS Connector #

## PL/SQL operations - Get Party Details Demo ##

### Introduction ###

This demo shows how to set up the Oracle EBS connector to make a call to a PL/SQL operation exposed as a web service in an Oracle EBS instance.

### How to run the demo ###
#### Prerequisites ####
In order to run this demo project you will need:

* Anypoint Studio with Mule ESB 3.7 EE Runtime or greater.
* Oracle EBS Connector v4.0.0.
* Oracle E-Business Suite instance v12.1.x.
* Web services credentials for the instance.

## Import the project

* Go to **File > Import**
* Select **Anypoint Studio Project from External Location** (under the parent folder "Anypoint Studio")

![Menu](images/import_menu.png)

* Provide the root path to the demo project folder.
* Select Mule Runtime (3.7.x EE).

![File Selection](images/import_file.png)

* Click **Finish**.  
* Set your EBS credentials inside the file `src/main/app/mule-app.properties`.

```
username=<username for web services>
password=<password>
host=<EBS instance host>
port=<EBS instance port for web services>
responsibilityName=<responsibility name>
responsibilityApplName=<responsibility application name>
```
* Inside the Global Elements view, double-click the _OracleEBS: Configuration_ component and click on "Test Connection".

![Test Connection](images/config_connection.png)

 * A successful message should pop-up.

![Test Connection](images/config_connection_success.png)

* If you see an error message, check if the following can resolve your problem:

    1. **`Unsupported major/minor version 51.0`**: it indicates that you are running with a 1.6 JRE. Ensure that you are running with Java 1.7 and restart Studio.

> For further information, refer to the [Oracle EBS Connector Documentation Guide](https://docs.mulesoft.com/mule-user-guide/v/3.8/oracle-ebs-connector-user-guide).

* Select **Run as Mule Application**. You should see the demo application deployed.

* Open a browser and access the URL `http://localhost:8081`. You should see the demo application deployed:

![Workflow Demo](images/import_demo.png)

#### About the flows ####

**html-form-flow :** This is our main flow. The result of this flow will be the rendering of our form.html.

![Flow html-form-flow](images/flow_html-form-flow.png)

**getPartyDetails :** This flow will let you get the details of a party from your EBS database, after typing a valid party ID and pressing the Get button. You will see a JSON representation of the message with the party details, as returned by EBS.

![Flow getPartyDetails](images/flow_getPartyDetails.png)
